// inform the background page that this tab should have a page-action.
chrome.runtime.sendMessage({
  from: 'content',
  subject: 'showPageAction',
});

// listen for messages from the popup
chrome.runtime.onMessage.addListener((msg, sender, response) => {
  // validate message structure
  if ((msg.from === 'popup') && (msg.subject === 'DOMInfo')) {

    // collect page names
    var pagenames = document.querySelectorAll('.x193iq5w.xeuugli.x13faqbe.x1vvkbs.x1xmvt09.x1lliihq.x1s928wv.xhkezso.x1gmr53x.x1cpjm7i.x1fgarty.x1943h6x.xudqn12.x3x7a5m.x6prxxf.xvq8zen.x1s688f.xzsf02u.x1yc453h');
    var pagestring = "";
    for(var i = 0; i < pagenames.length; i++) {
       if(i == 0) {
        pagestring = pagenames[i].innerText;
       } else {
        pagestring = pagestring + " | " + pagenames[i].innerText;
      }
    }

    var domInfo = {
      names: document.querySelectorAll('.x193iq5w.xeuugli.x13faqbe.x1vvkbs.x1xmvt09.x1lliihq.x1s928wv.xhkezso.x1gmr53x.x1cpjm7i.x1fgarty.x1943h6x.xudqn12.x3x7a5m.x6prxxf.xvq8zen.x1s688f.xzsf02u.x1yc453h').length,
      pagesnames: pagestring
    };

    // directly respond to the sender (popup) via the specified callback.
    response(domInfo);
  }
});